Message Queue, v4.4 API Specification

## javax.jms
Interface TemporaryTopic

All Superinterfaces:
  Destination, Topic

    public interface TemporaryTopic

extends Topic

A `TemporaryTopic` object is a unique `Topic` object created for the duration of a `Connection`. It is a system-defined topic that can be consumed only by the `Connection` that created it.

A `TemporaryTopic` object can be created either at the `Session` or `TopicSession` level. Creating it at the `Session` level allows the `TemporaryTopic` to participate in the same transaction with objects from the PTP domain. If a `TemporaryTopic` is created at the `TopicSession`, it will only be able participate in transactions with objects from the Pub/Sub domain.

See Also:
  `Session.createTemporaryTopic()`, `TopicSession.createTemporaryTopic()`

Method Summary
`void` `delete()` Deletes this temporary topic.

Methods inherited from interface javax.jms.Topic
`getTopicName, toString`

Method Detail

### delete

    void delete()
                throws JMSException

  Deletes this temporary topic. If there are existing subscribers still using it, a `JMSException` will be thrown.

  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary topic due to some internal error.

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.